## dh-kpatches 0.99.10

=== Makefile ===
DESTDIR		=
prefix		= /usr

bindir		= ${prefix}/bin
datadir		= ${prefix}/share/debhelper/dh-kpatches
docdir		= ${prefix}/share/doc/dh-kpatches
mandir		= ${prefix}/share/man
man1dir		= ${mandir}/man1

SCRIPT		= dh_installkpatches
TEMPLATES	= apply.tmpl unpatch.tmpl

all: ${SCRIPT}
	make -C doc all

${SCRIPT}: ${SCRIPT}.in
	sed -e s=@TMPLDIR@=${datadir}= <$< >$@
	chmod 755 $@

clean:
	rm -rf ${SCRIPT}
	make -C doc clean

install: all
	install -m755 -d ${DESTDIR}${datadir} ${DESTDIR}${bindir}
	install -m755 ${SCRIPT} ${DESTDIR}${bindir}
	install -m644 ${TEMPLATES} ${DESTDIR}${datadir}
	make -C doc install

uninstall:
	rm -f ${DESTDIR}${bindir}/${SCRIPT}
	rm -rf ${DESTDIR}${datadir}
	make -C doc uninstall

=== doc/Makefile ===
DESTDIR		=
prefix		= /usr

docdir		= ${prefix}/share/doc/dh-kpatches
mandir		= ${prefix}/share/man
man1dir		= ${mandir}/man1

MANPAGE	= dh_installkpatches.1

POLICY		= kpatch-policy.sgml
PROCESSEDPOLICIES = ${POLICY:.sgml=.txt} ${POLICY:.sgml=.html}

# debiandoc2* attempts to do something nasty with locale set
export LC_ALL=C

all: ${MANPAGE} policy dh-kpatches

policy: ${PROCESSEDPOLICIES}
dh-kpatches: dh-kpatches.pdf dh-kpatches.html
dh-kpatches.pdf dh-kpatches.html: dh_installkpatches.refentry-contents.sgml

clean:
	rm -f ${MANPAGE} ${POLICY:.sgml=.txt} \
		manpage.refs manpage.links \
		*.jtex *.fot *.aux *.log *.out *.ps *.pdf
	rm -rf *.html

install: all
	install -m755 -d ${DESTDIR}${man1dir}
	install -m644 ${MANPAGE} ${DESTDIR}${man1dir}

	install -m755 -d ${DESTDIR}${docdir}
	cp -a ${POLICY:.sgml=.*} ${DESTDIR}${docdir}
	install -m644 dh-kpatches.pdf dh-kpatches.html ${DESTDIR}${docdir}

uninstall:
	rm -rf ${DESTDIR}${docdir}
	rm -f ${DESTDIR}${man1dir}/${MANPAGE}

%.txt: %.debiandoc.sgml
	debiandoc2text $<
	mv ${<:.sgml=.txt} $@

%.html: %.debiandoc.sgml
	debiandoc2html $<
	mv ${<:.sgml=.html} $@

%.1: %.refentry.sgml
	docbook2man $<

#%.html: %.docbook.sgml
#	docbook-2-html -s gtk -O -Vnochunks $< >$@

%.html: %.docbook.sgml
	jade -Vnochunks -t sgml \
		-d /usr/share/sgml/docbook/stylesheet/dsssl/alcove/html/gtk-doc.dsl \
		dh-kpatches.docbook.sgml >$@

%.pdf: %.docbook.sgml
	docbook-2-pdf -s bookarticle $<
	mv ${<:.sgml=.pdf} $@

=== debian/changelog ===
dh-kpatches (0.99.10) unstable; urgency=low

  * Allow non-range kernel-version specification in kpatches files to have
    a non-empty EXTRAVERSION (Closes: #141427).
  * Document that those are not allowed (yet) in kversion ranges.

 -- Yann Dirson <dirson@debian.org>  Tue,  9 Apr 2002 00:49:59 +0200

dh-kpatches (0.99.9) unstable; urgency=low

  * Updated documentation.  Described the future "revision 1" kpatches
    format in details.
  * Updated README-kernelpatch for new Depends behaviour.

 -- Yann Dirson <dirson@debian.org>  Tue, 19 Feb 2002 08:00:42 +0100

dh-kpatches (0.99.8) unstable; urgency=low

  * Restructured APPLIED files with a controlfile-like format, for
    more extensibility.
  * Automatically apply and remove patches declared as dependencies, on
    apply and unpatch (Closes: #122330).
  * Reworked plans for 1.0 - still 2 major features possible to implement
    without rewriting apply/unpatch in perl.

 -- Yann Dirson <dirson@debian.org>  Mon, 18 Feb 2002 06:56:51 +0100

dh-kpatches (0.99.7) unstable; urgency=low

  * Implemented kernel-version ranges, using suggestion from Matt
    Zimmerman (Addresses: #122330).

 -- Yann Dirson <dirson@debian.org>  Thu, 14 Feb 2002 07:51:38 +0100

dh-kpatches (0.99.6) unstable; urgency=low

  * Reverted silly change in apply scripts wrt dependant patchid's
    containing hyphens (re-fixes #132710 - thanks to Olaf Meeuwissen).

 -- Yann Dirson <dirson@debian.org>  Wed, 13 Feb 2002 07:23:47 +0100

dh-kpatches (0.99.5) unstable; urgency=low

  * Fixed handling of Depends: field, now correctly working on a
    per-patchfile basis.
  * Moved docs in their own source directory.
  * Some cleanup in dh_installkpatches.
  * Moved doc from plain-text to docbook.  Use bookarticle style (from
    alcovebook-sgml) for pdf output.  Had to split the contents of the
    manpage away from their DTD, into their own file, to allow including
    them in the new doc as well - sigh.

 -- Yann Dirson <dirson@debian.org>  Mon, 11 Feb 2002 02:52:33 +0100

dh-kpatches (0.99.4) unstable; urgency=low

  * Added support for "Kernel-version: all" in kpatches files (patch by
    Olaf Meeuwissen, Closes: #132709).
  * Fixed check for patch dependencies containing hyphens (Closes:
    #132710).
  * Otherwise fixed support for hyphens in patch IDs, accidently broken in
    0.99.2.

 -- Yann Dirson <dirson@debian.org>  Fri,  8 Feb 2002 06:38:49 +0100

dh-kpatches (0.99.3) unstable; urgency=low

  * Added support for kpatch:Depends substitution.  Currently Expands to
    "bash (>=2.0)" for array variable support, and "patch" - you guess
    why.
  * Fixed 0.99.1 entry for kdb bug ref (thanks to P.M. Hahn).
  * Remove docbook2man aux files on clean.
  * Updated manpage, put it under FDL.
  * Allowed / in Patch-name (use | instead as sed separator), and
    documented restriction in usable chars here (| and " not allowed).

 -- Yann Dirson <dirson@debian.org>  Thu,  7 Feb 2002 09:03:46 +0100

dh-kpatches (0.99.2) unstable; urgency=low

  * Cope with hyphens in patch IDs - something I removed accidentally from
    0.99.1 (Closes: #131159).

 -- Yann Dirson <dirson@debian.org>  Sun, 27 Jan 2002 22:22:22 +0100

dh-kpatches (0.99.1) unstable; urgency=medium

  * WARNING: this release changes the behaviour of the apply scripts, so
    that patches whose version only approximately matches will by default
    not be applied.  This is a safety measure, to make the mechanism
    conform to the "least surprise" principle.  Environmnent variable are
    used to select exactly what release of which patch to apply.
  * Largely updated TODO file, heading for 1.0 release.

  * Fixed a bug with patches for several arches, where all patches were
    added to each arch (see kdb #130371).  Medium urgency since patch
    packages are broken when this occurs.

  * Updated example from kernel-patch-kdb 2.1, for an example of
    multi-patch package making use of patch dependancies.
  * Use "g" flag to sed, so that substitutions are all correctly done when
    creating apply/unpatch from templates.
  * Use "patch --force" instead of "patch --batch", so that
    already-applied patches do not get tested reversed on dry-run.
  * Install in patch packages a README-kernelpatch.Debian file, describing
    what to expect, and how to control the patch behaviour.
  * Selectively applied David Kimdon's patch for typos and english
    correctness (Closes: #126112).
  * Switch manpage generation to docbook-utils.
  * Update extended description for package.
  * Fixed 0.2 changelog entry below for the syntax of multiple kpatches
    files.
  * Use Build-Depends-Indep, not Build-Depends.
  * Updated Standards-Version to 3.5.6.

 -- Yann Dirson <dirson@debian.org>  Sun, 27 Jan 2002 16:07:36 +0100

dh-kpatches (0.7) unstable; urgency=low

  * Escape slashes in a patch name, so that sed does not fail (Closes:
    #110493).
  * Added lintian overrides for script templates reported non-executable.

 -- Yann Dirson <dirson@debian.org>  Mon, 10 Sep 2001 23:12:34 +0200

dh-kpatches (0.6) unstable; urgency=low

  * Simple handling of inter-patch dependencies: refuse to install a patch
    if deps are not OK.
  * Fixed substitution of PATCHARCH into scripts.

 -- Yann Dirson <dirson@debian.org>  Mon, 14 May 2001 16:25:34 +0200

dh-kpatches (0.5) unstable; urgency=medium

  * Do not cause make-kpkg to fail on unpatch if debian/ dir cannot be
    removed - thanks to Ard van Breemen (Closes: #96751).
  * Removed local vars from changelog - now useless.

 -- Yann Dirson <dirson@debian.org>  Wed,  9 May 2001 22:40:15 +0200

dh-kpatches (0.4) unstable; urgency=medium

  * Declare that we enhance debhelper.
  * Refuse patch-ids with invalid characters (Closes: #94635).
  * Added missing build-dep on docbook-to-man and debiandoc-sgml.

 -- Yann Dirson <dirson@debian.org>  Tue,  1 May 2001 22:43:13 +0200

dh-kpatches (0.3) unstable; urgency=low

  * Be kind with patch packages that create their (empty) APPLIED stamp


=== debian/control ===
Source: dh-kpatches
Section: devel
Priority: extra
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends-Indep: debhelper, docbook-utils, docbook, debiandoc-sgml, sgml2x, alcovebook-sgml
Standards-Version: 3.5.6

Package: dh-kpatches
Architecture: all
Depends: ${perl:Depends}, debhelper (>= 2.0.14)
Suggests: kernel-package
Enhances: debhelper
Description: Debhelper script to help packaging kernel patches
 The dh_installkpatches script produces the "apply" and "unpatch" scripts
 that kernel-package uses to automatically handle kernel patches.  It
 provides a number of useful features like:
  * does its best to never break your kernel source tree
  * allows you to select any provided version of a patch
  * handle patch inter-dependencies
 .
 Patches are described in a Debian-standard control-file-like format.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

PACKAGE=dh-kpatches
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | sed 's/Version: *//')

topdir=$(shell pwd)
debdir=${topdir}/debian
tmpdir=${debdir}/${PACKAGE}
tmpldir=${tmpdir}/usr/share/debhelper/dh-kpatches/

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)
	#/usr/bin/docbook-to-man debian/dh-kpatches.sgml > dh-kpatches.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=${tmpdir}

	mkdir -p ${tmpdir}/usr/share/lintian/overrides
	cp -p debian/overrides ${tmpdir}/usr/share/lintian/overrides/dh-kpatches

	mkdir -p ${tmpldir}
	sed s/@VERSION@/${VERSION}/g <debian/README-kernelpatch \
		>${tmpldir}/README-kernelpatch.Debian

binary-arch: build install
# We have nothing to do by default.

binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples examples/*
	dh_installchangelogs 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dh-kpatches 0.99.34

=== debian/changelog ===
dh-kpatches (0.99.34) unstable; urgency=low

  * Updated EXTRAVERSION extraction for 2.6.5-3 and later
    kernel-patch-debian (See: #165505 - thanks to Dann Frazier).

 -- Yann Dirson <dirson@debian.org>  Wed,  5 May 2004 09:41:29 +0200

dh-kpatches (0.99.33) unstable; urgency=low

  * Fixed gzip invocation not to abort on already-compressed patches
    (Closes: #241257).

 -- Yann Dirson <dirson@debian.org>  Wed, 31 Mar 2004 18:00:23 +0200

dh-kpatches (0.99.32) unstable; urgency=low

  * Fixed checking of applied dependencies in apply script (bug detected
    by perl in 0.100 branch).
  * Improved START/END traces by telling PatchId in addition to PatchName.

 -- Yann Dirson <dirson@debian.org>  Thu,  8 Jan 2004 23:43:15 +0100

dh-kpatches (0.99.31) unstable; urgency=low

  * Implement multi-valued Architecture fields, as advertised in the doc
    (Closes: #216238):
    * Dirs containing diff files are not stored any more under per-arch
      directories since this has no meaning any more.  Instead they're put
      in /usr/src/kernel-patches/diffs/.
  * Now that patch application does not depend any more on old/deprecated
    PATCH_THE_KERNEL=YES, we can finally cause apply to fail when no
    alternative is found our kernel (Closes: #217138).  In practice, that
    will make "PATCH_THE_KERNEL=YES" even obsolete :)
  * Fixed README-kernelpatch note on the order in which sibling dependencies
    are applies and removed.  Removal ordering as documented there was
    plain wrong, and none of these orderings should be relied upon, since
    people should explicit inter-dependencies instead.
  * Added to README-kernelpatch how to handle chars in patchid's not
    allowed in environment variables.
  * Slightly clarified the message on unpatch of dependencies.
  * Internals doc: much work supposed to improve the internals' doc, so
    that v1 implementation gets easier.
  * Moved apply.tmpl and unpatch.tmpl into dh-kpatches.nw.
  * Reworked structure of apply.tmpl to use assertions where possible,
    instead of nesting if's.

 -- Yann Dirson <dirson@debian.org>  Sat,  6 Dec 2003 18:24:28 +0100

dh-kpatches (0.99.30) unstable; urgency=low

  * Transition of noweb doc chunks from LaTeX to HTML, for compatibility
    with upcoming code pretty-printing via enscript.
  * Added missing build-deb on nowebm (CLoses: #221032).
  * Use dh-buildinfo.

 -- Yann Dirson <dirson@debian.org>  Sun, 16 Nov 2003 19:32:55 +0100

dh-kpatches (0.99.29) unstable; urgency=low

  * The "literate programming is good for you" release.
  * Use noweb for main dh_installkpatches code.  This will help to make
    the structural changes the code still needs to implement v1
    file-format.
  * Transitionning to noweb must be done by reading the code first, and
    that helped to find some problems:  
    * Abort when a config file asked to be read cannot be openned, instead
      of silently ignoring the error.  
    * Don't include kernel-patch-scripts any more in kpatch:Depends, since
      that was only needed because of the register-patch scriptlet, not used
      any more since 0.99.24.
    * Kpatches file were only closed when they were read as v0 files - er,
      wait, we _only_ support v0 files :)

 -- Yann Dirson <dirson@debian.org>  Mon,  3 Nov 2003 20:55:32 +0100

dh-kpatches (0.99.28) unstable; urgency=low

  * Removed misleading "first" in unpatch output (Closes: #204119).
  * Ensure all messages on apply/unpatch are written to stderr.
  * Bracket apply and unpatch operations with START and END messages, to
    ease debugging complex dependencies.
  * Ensure that a patch depended on by several patches does not get
    unpatched until all of its dependants have been unpatched (Closes:
    #204160).

 -- Yann Dirson <dirson@debian.org>  Thu, 18 Sep 2003 00:10:31 +0200

dh-kpatches (0.99.27) unstable; urgency=low

  * Now check for version.Debian as well when trying to identify a
    Debian-patched kernel, to reflect changes in how debian kernels are
    now handled (Closes: #201075).

 -- Yann Dirson <dirson@debian.org>  Mon, 14 Jul 2003 13:32:52 +0200

dh-kpatches (0.99.26) unstable; urgency=low

  * Changed priority of kernel-patch-scripts to optional (Closes:
    #197612).

 -- Yann Dirson <dirson@debian.org>  Sat,  5 Jul 2003 10:02:10 +0200

dh-kpatches (0.99.25) unstable; urgency=low

  * Fixed unclean quoting of #PATCHNAME# which caused breakage because of
    changes in 0.99.24 for some patch names (Closes: #199447).

 -- Yann Dirson <dirson@debian.org>  Wed,  2 Jul 2003 22:56:50 +0200

dh-kpatches (0.99.24) unstable; urgency=low

  * Incorporated the contents of the register-patch template into apply
    script to make it more easy to add features there.  Still ship the
    template so that patches depending on it still apply when upgrading
    kpatch-scripts.
  * Register the kernel version the patch was for, when making use of the
    KPATCH_<patchid> mechanism to select an alternate one (Close:
    #198063).
  * Call docbook-2-* with --dssslproc instead of obsolete --jade flag;
    build-dep on 1.0.0 or newer.  
  * Bumped Standards-Version to 3.5.10, no change.

 -- Yann Dirson <dirson@debian.org>  Tue, 24 Jun 2003 23:48:27 +0200

dh-kpatches (0.99.23) unstable; urgency=low

  * Have apply scripts print a warning when no version of a requested
    patch was found for the kernel to be built.  Not yet the full
    functionality I'd like to have here, but closes: #193016.

 -- Yann Dirson <dirson@debian.org>  Fri, 30 May 2003 00:06:01 +0200

dh-kpatches (0.99.22) unstable; urgency=low

  * Fixed the build process to use openjade1.3 instead of jade, and wrap
    raw calls to the latter with runjade to catch errors if any.
  * Finally, also use sgml2x to generate the HTML, after fixing the
    commented-out invocation - that way, no need to fix the path to the
    stylesheet when it changes (Closes: #190883).
  * Build-depend on gtk-doc-tools to get the stylesheet, now that it is


## dh-kpatches 0.99.35

=== doc/Makefile ===
DESTDIR		=
prefix		= /usr

docdir		= ${prefix}/share/doc/dh-kpatches
mandir		= ${prefix}/share/man
man1dir		= ${mandir}/man1

MANPAGES	= dh_installkpatches.1 lskpatches.1

POLICY		= kpatch-policy.sgml
PROCESSEDPOLICIES = ${POLICY:.sgml=.txt} ${POLICY:.sgml=.html}

# debiandoc2* attempts to do something nasty with locale set
export LC_ALL=C

all: ${MANPAGES} dh-kpatches

policy: ${PROCESSEDPOLICIES}
dh-kpatches: dh-kpatches.pdf dh-kpatches.html
dh-kpatches.pdf dh-kpatches.html: dh_installkpatches.refentry-contents.sgml

clean:
	rm -f ${MANPAGES} ${POLICY:.sgml=.txt} \
		manpage.refs manpage.links \
		*.jtex *.fot *.aux *.log *.out *.ps *.pdf
	rm -rf *.html

install: all
	install -m755 -d ${DESTDIR}${man1dir}
	install -m644 ${MANPAGES} ${DESTDIR}${man1dir}

	install -m755 -d ${DESTDIR}${docdir}
	install -m644 dh-kpatches.pdf dh-kpatches.html ${DESTDIR}${docdir}

uninstall:
	rm -rf ${DESTDIR}${docdir}
	cd ${DESTDIR}${man1dir} && rm -f ${MANPAGES}

%.txt: %.debiandoc.sgml
	debiandoc2text $<
	mv ${<:.sgml=.txt} $@

%.html: %.debiandoc.sgml
	debiandoc2html $<
	mv ${<:.sgml=.html} $@

%.1: %.refentry.sgml
	docbook2man $<

%.html: %.docbook.sgml
	docbook-2-html --dssslproc openjade1.3 -s gtk -O -Vnochunks -O -Vonechunk $< >$@
	rmdir -p $*-html

%.pdf: %.docbook.sgml
	docbook-2-pdf --dssslproc openjade1.3 -s bookarticle $<

.DELETE_ON_ERROR:

=== debian/changelog ===
dh-kpatches (0.99.35) unstable; urgency=low

  * Added support for single irregular kernel versions like 2.6.8.1 (patch
    from Norbert Buchmuller, closes: #274410).

 -- Yann Dirson <dirson@debian.org>  Sun, 24 Oct 2004 17:16:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
-Build-Depends-Indep: debhelper, docbook-utils, docbook, debiandoc-sgml, sgml2x, alcovebook-sgml
-Standards-Version: 3.5.6
+Build-Depends-Indep: debhelper (>> 4), docbook-utils, docbook, debiandoc-sgml, sgml2x (>= 1.0.0), alcovebook-sgml, openjade1.3, gtk-doc-tools, nowebm, dh-buildinfo
+Standards-Version: 3.5.10
 
 Package: dh-kpatches
 Architecture: all
@@ -19,3 +19,15 @@
   * handle patch inter-dependencies
  .
  Patches are described in a Debian-standard control-file-like format.
+
+Package: kernel-patch-scripts
+Architecture: all
+Priority: optional
+Recommends: kernel-package
+Enhances: kernel-package
+Description: Scripts to help dealing with packaged kernel patches
+ This package contains scripts useful to people making use of the
+ various kernel-patch packages.  It currently contains:
+ .
+  * lskpatches: a tool that lists installed patches, and gives
+  useful information about them.

## dh-kpatches 0.99.36

=== Makefile ===
DESTDIR		=
prefix		= /usr

bindir		= ${prefix}/bin
datadir		= ${prefix}/share/debhelper/dh-kpatches
docdir		= ${prefix}/share/doc/dh-kpatches
mandir		= ${prefix}/share/man
man1dir		= ${mandir}/man1

DHSCRIPT	= dh_installkpatches
OTHERSCRIPTS	= lskpatches
TEMPLATES	= apply.tmpl unpatch.tmpl register-patch
VERSION		= $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)

NOWEBSRC	= dh-kpatches.nw
NOWEBOUTSRC	= $(shell noroots ${NOWEBSRC} | sed 's/<<\(.*\)>>/\1/')


all: ${DHSCRIPT} ${TEMPLATES}
	make -C doc all

${DHSCRIPT}: ${DHSCRIPT}.in
	sed -e s=@TMPLDIR@=${datadir}= -e s=@DHKPVERS@=${VERSION}=<$< >$@
	chmod 755 $@

internals: ${NOWEBSRC:.nw=.ps} ${NOWEBSRC:.nw=.html}

${NOWEBOUTSRC}: % : ${NOWEBSRC}
	notangle -R$@ $< | cpif $@

%.html: %.nw
	noweave -html -delay \
	  -filter "noweb/guesslang ${NOWEBOUTSRC} | noweb/inheritlang" \
	  -filter "noweb/htmltoc | noweb/enscript-html --color" \
	  -x \
	  $< > $@

%.ps: dh-kpatches.book %.html
	htmldoc --batch $< || test $$? = 4

clean:
	rm -f ${DHSCRIPT} ${NOWEBOUTSRC}
	rm -rf ${NOWEBSRC:.nw=-html}
	rm -f *.aux *.log *.dvi *.ps *.latex
	make -C doc clean

install: all
	install -m755 -d ${DESTDIR}${datadir} ${DESTDIR}${bindir}
	install -m755 ${DHSCRIPT} ${OTHERSCRIPTS} ${DESTDIR}${bindir}
	install -m644 ${TEMPLATES} ${DESTDIR}${datadir}
	make -C doc install

uninstall:
	rm -f ${DESTDIR}${bindir}/${DHSCRIPT}
	-cd ${DESTDIR}${bindir} && rm -f ${OTHERSCRIPTS}
	rm -rf ${DESTDIR}${datadir}
	make -C doc uninstall

=== debian/changelog ===
dh-kpatches (0.99.36) unstable; urgency=low

  * Have kernels in the short stable 4-numbers "branchlets" (eg. 2.6.11.x)
    of the 2.6 line default to using a patch with matching 3-numbers
    version if a 4-numbers one is not found (Closes: #309147).  This is
    not 100% accurate since EXTRAVERSION is used for many things, but
    well, it looks like we'll have to live with this way of numbering the
    kernels.  
  * Removed special handling of 2.6.8.1 as an "irregular version", since
    it falls in the above case.  The "irregular version" mechanism is
    kept, in case we have to find a quick solution to another kernel
    versionning change.
  * Revert abusive merging of regexp from 0.99.35: we do not need to be as
    strict on single versions are we need to be on ranged ones (Closes:
    #281801).
  * Avoid spurious warning messages from dpkg-gencontrol (Closes: #263617).

 -- Yann Dirson <dirson@debian.org>  Thu,  9 Jun 2005 00:45:43 +0200

## dh-kpatches 0.99.36+nmu1

=== doc/Makefile ===
--- 
+++ 
@@ -52,6 +52,6 @@
 	rmdir -p $*-html
 
 %.pdf: %.docbook.sgml
-	docbook-2-pdf --dssslproc openjade1.3 -s bookarticle $<
+	docbook-2-pdf --dssslproc openjade1.3 $<
 
 .DELETE_ON_ERROR:

=== debian/changelog ===
dh-kpatches (0.99.36+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * No longer use alcovebook-sgml features (Closes: #638637).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 20 Aug 2011 15:25:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
-Build-Depends-Indep: debhelper (>> 4), docbook-utils, docbook, debiandoc-sgml, sgml2x (>= 1.0.0), alcovebook-sgml, openjade1.3, gtk-doc-tools, nowebm, dh-buildinfo
+Build-Depends-Indep: debhelper (>> 4), docbook-utils, docbook, debiandoc-sgml, sgml2x (>= 1.0.0), openjade1.3, gtk-doc-tools, nowebm, dh-buildinfo
 Standards-Version: 3.5.10
 
 Package: dh-kpatches

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

PACKAGE=dh-kpatches
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | sed 's/Version: *//')

topdir=$(shell pwd)
debdir=${topdir}/debian
tmpdir=${debdir}/tmp
tmpldir=${tmpdir}/usr/share/debhelper/dh-kpatches/

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=${tmpdir}

	mkdir -p ${tmpdir}/usr/share/lintian/overrides
	cp -p debian/dh-kpatches.overrides ${tmpdir}/usr/share/lintian/overrides/dh-kpatches
	cp -p debian/kernel-patch-scripts.overrides ${tmpdir}/usr/share/lintian/overrides/kernel-patch-scripts

	mkdir -p ${tmpldir}
	sed s/@VERSION@/${VERSION}/g <debian/README-kernelpatch \
		>${tmpldir}/README-kernelpatch.Debian

	dh_movefiles
	test -z `find debian/tmp -not -type d | tee /dev/stderr`

binary-arch: build install
# We have nothing to do by default.

binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs TODO
	dh_buildinfo
	dh_installexamples examples/*
	dh_installchangelogs 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dh-kpatches 0.99.36+nmu2

=== doc/Makefile ===
--- 
+++ 
@@ -48,10 +48,10 @@
 	docbook2man $<
 
 %.html: %.docbook.sgml
-	docbook-2-html --dssslproc openjade1.3 -s gtk -O -Vnochunks -O -Vonechunk $< >$@
+	docbook-2-html --dssslproc openjade -s gtk -O -Vnochunks -O -Vonechunk $< >$@
 	rmdir -p $*-html
 
 %.pdf: %.docbook.sgml
-	docbook-2-pdf --dssslproc openjade1.3 $<
+	docbook-2-pdf --dssslproc openjade $<
 
 .DELETE_ON_ERROR:

=== debian/changelog ===
dh-kpatches (0.99.36+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Changed build dependency from openjade1.3 to openjade because
    openjade1.3 will be removed from Debian. (Closes: #809599).

 -- Neil Roeth <neil@debian.org>  Fri, 22 Jan 2016 22:45:13 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
-Build-Depends-Indep: debhelper (>> 4), docbook-utils, docbook, debiandoc-sgml, sgml2x (>= 1.0.0), openjade1.3, gtk-doc-tools, nowebm, dh-buildinfo
+Build-Depends-Indep: debhelper (>> 4), docbook-utils, docbook, debiandoc-sgml, sgml2x (>= 1.0.0), openjade, gtk-doc-tools, nowebm, dh-buildinfo
 Standards-Version: 3.5.10
 
 Package: dh-kpatches

## dh-kpatches 0.99.36+nmu3

=== debian/changelog ===
dh-kpatches (0.99.36+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Move to debhelper compat level 9. (Closes: #817430)
    - Move debhelper to Build-Depends (from Build-Depends-Indep) to satisfy
      clean target.

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Sep 2016 14:54:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
-Build-Depends-Indep: debhelper (>> 4), docbook-utils, docbook, debiandoc-sgml, sgml2x (>= 1.0.0), openjade, gtk-doc-tools, nowebm, dh-buildinfo
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: docbook-utils, docbook, debiandoc-sgml, sgml2x (>= 1.0.0), openjade, gtk-doc-tools, nowebm, dh-buildinfo
 Standards-Version: 3.5.10
 
 Package: dh-kpatches

## dh-kpatches 0.99.36+nmu4

=== debian/changelog ===
dh-kpatches (0.99.36+nmu4) unstable; urgency=medium

  * Non-maintainer upload.
  * Orphan package. See
    <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=776941#20>
  * Make make kernel builds reproducible. (Closes: #776941)

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Feb 2017 17:46:34 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dh-kpatches
 Section: devel
 Priority: extra
-Maintainer: Yann Dirson <dirson@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: docbook-utils, docbook, debiandoc-sgml, sgml2x (>= 1.0.0), openjade, gtk-doc-tools, nowebm, dh-buildinfo
 Standards-Version: 3.5.10

## dh-kpatches 0.100.1

=== debian/changelog ===
dh-kpatches (0.100.1) experimental; urgency=low

  * Start of the real rewriting work that will lead to v1.0.  Since that's
    really rewriting work, that'll be experimental for some time.  
  * Migrated apply/unpatch to perl (one long-standing item done, yay!).
  * Start of a dh-make template, not installed.
  * Adjusted things so that "make datadir=$PWD" results in an
    execute-in-place tree.

 -- Yann Dirson <dirson@debian.org>  Tue, 16 Dec 2003 18:53:52 +0100

=== tmp/kernel-patch-kdb/debian/changelog ===
kernel-patch-kdb (4.3-5) unstable; urgency=low

  * Include patches for 2.4.23 (i386, ia64).
  * Drop patches for 2.4.20 and 2.2.18.

 -- Yann Dirson <dirson@debian.org>  Sun,  7 Dec 2003 12:33:20 +0100

kernel-patch-kdb (4.3-4) unstable; urgency=low

  * i386 and ia64 patches for 2.4.22.
  * Bumped Standards-version to 3.6.1, no change.

 -- Yann Dirson <dirson@debian.org>  Thu, 16 Oct 2003 18:38:48 +0200

kernel-patch-kdb (4.3-3) unstable; urgency=low

  * New version of common and i386 patches for 2.4.21, and patch for
    2.4.21 on ia64.  This adds new (but undocumented) commands on i386:
    rdv, gdt, idt, ldt, ldtp, ptex.

 -- Yann Dirson <dirson@debian.org>  Tue, 22 Jul 2003 11:33:22 +0200

kernel-patch-kdb (4.3-2) unstable; urgency=low

  * New version of i386 patch for 2.4.21.
  * Updated README file.

 -- Yann Dirson <dirson@debian.org>  Thu,  3 Jul 2003 15:43:32 +0200

kernel-patch-kdb (4.3-1) unstable; urgency=low

  * New upstream release, supporting i386, ia64 and sparc64 for 2.4.20,
    and i386 and sparc64 for 2.4.21.  Did not provide debian-adapted
    versions yet.  
  * Installed new dump.txt file about interactions with LKCD.  Will
    require the "flavour" feature of upcoming dh-kpatches 1.x to make
    automated use of those instructions.  
  * Bumped Standards-Version to 3.5.10, no change.

 -- Yann Dirson <dirson@debian.org>  Sun, 29 Jun 2003 09:41:19 +0200

kernel-patch-kdb (4.1-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Dropped old
    sparc64 patch.
  * Provide a modified patch for the debian-patched 2.4.20 kernel, based
    on the modifications to kdb 2.3 by Sean Finney, using the
    Debian-patch-file hack of dh-kpatches 0.99.21 (Closes: #172826).
  * New command btt.

 -- Yann Dirson <dirson@debian.org>  Wed, 23 Apr 2003 18:49:28 +0200

kernel-patch-kdb (3.0-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Kept v2.1 patch 
    for sparc64. 
  * Doc updates to reflect the new stuff (btc command, history and
    completion).  Noticed that some new commands mentionned in Changelog
    are not documented anywhere (fl, defcmd/endefcmd).
  * Removed trailing period from short desc.

 -- Yann Dirson <dirson@debian.org>  Fri, 14 Feb 2003 11:35:08 +0100

kernel-patch-kdb (2.5-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Kept v2.1 patch
    for sparc64.

 -- Yann Dirson <dirson@debian.org>  Wed, 27 Nov 2002 00:10:04 +0100

kernel-patch-kdb (2.3-4) unstable; urgency=low

  * New upstream common and i386 patches for 2.3, on 2.4.19 and 2.5.43.
  * Install 2.5 ChangeLogs again.
  * Improved installation of manpages - should not require modifications
    any more when new manpages are added.

 -- Yann Dirson <dirson@debian.org>  Thu, 17 Oct 2002 22:22:59 +0200

kernel-patch-kdb (2.3-3) unstable; urgency=low

  * New upstream common and i386 patches for 2.3, on 2.4.19 and 2.5.42.

 -- Yann Dirson <dirson@debian.org>  Mon, 14 Oct 2002 23:59:23 +0200

kernel-patch-kdb (2.3-2) unstable; urgency=low

  * New upstream patch for 2.3 on ia64.
  * Use dh-kpatches 0.99.16, factorized Depends lines in kpatches file.
  * Bounced Standards-Version to 3.5.7.
  * Stop shipping 2.1 for early 2.5 - presumably noone's using them
    any more, and they're eating too much space.

 -- Yann Dirson <dirson@debian.org>  Wed, 11 Sep 2002 22:31:08 +0200

kernel-patch-kdb (2.3-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Kept v2.1 patch
    for sparc64.
  * Use latest and greatest dh-kpatches (0.99.13).

 -- Yann Dirson <dirson@debian.org>  Fri, 16 Aug 2002 03:31:37 +0200

kernel-patch-kdb (2.1-4-1) unstable; urgency=low

  * Replaced 2.4.18 i386 patch with new one, which was regenerated
    upstream (only changes in diff headers).
  * Updated 2.4.18 kdbcore to latest.
  * Added 2.4.19-pre6 and 2.5.7 for i386.

 -- Yann Dirson <dirson@debian.org>  Mon, 22 Apr 2002 00:52:43 +0200

kernel-patch-kdb (2.1-3-1) unstable; urgency=low

  * Added patches for 2.4.18 and 2.5.5 (no ia64 patch for 2.5.5 though).
  * 2.4 and 2.5 have independant changelogs, install both.
  * Doc includes a presentation and demonstration using magicpoint -
    suggesting package mgp.

 -- Yann Dirson <dirson@debian.org>  Wed, 20 Mar 2002 00:50:47 +0100

kernel-patch-kdb (2.1-2-1) unstable; urgency=low

  * Updated common and ia64 patches to latest.
  * New arch patch: sparc64.

 -- Yann Dirson <dirson@debian.org>  Thu, 21 Feb 2002 04:50:05 +0100

kernel-patch-kdb (2.1-5) unstable; urgency=low

  * Use dh-kpatches 0.99.8 to get transparent application of kdbcore.

 -- Yann Dirson <dirson@debian.org>  Mon, 18 Feb 2002 06:58:43 +0100

kernel-patch-kdb (2.1-4) unstable; urgency=low

  * Rebuild with 0.99.5.  Should fix Depends issue for 2.2 kernels.

 -- Yann Dirson <dirson@debian.org>  Mon, 11 Feb 2002 04:22:50 +0100

kernel-patch-kdb (2.1-3) unstable; urgency=low

  * Use kpatch:Depends from dh-kpatches 0.99.3.
  * Fixed debian/rules to put the build in binary-indep, not -arch;
    removed useless call to dh_shlibdeps.
  * Fixed original packaging - use pristine source this time.

 -- Yann Dirson <dirson@debian.org>  Thu,  7 Feb 2002 09:16:35 +0100

kernel-patch-kdb (2.1-2) unstable; urgency=medium

  * Use dh-kpatches 0.99.1 (Closes: #129430).
  * Updated README.Debian.

 -- Yann Dirson <dirson@debian.org>  Sun, 27 Jan 2002 16:10:59 +0100

kernel-patch-kdb (2.1-1) unstable; urgency=low

  * New upstream release, supporting 2.4.17.  Only keep 1.5 for 2.2.18 as
    additional patch (Closes: #129430).
  ** Patch is now split into arch-indep and arch-specific parts.
  ** Some sparc64 support, many update in the doc to reflect this.
  * Install arch-specific changelogs.
  * Documented doc and changelog extraction in README.Debian.
  * Use build-depend-indep, not build-depend (lintian).

 -- Yann Dirson <dirson@debian.org>  Sun, 20 Jan 2002 18:51:47 +0100



=== tmp/kernel-patch-kdb/debian/control ===
Source: kernel-patch-kdb
Section: devel
Priority: extra
Maintainer: Yann Dirson <dirson@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper, dh-kpatches (>= 0.99.21)

Package: kernel-patch-kdb
Architecture: all
Depends: binutils-dev, ${kpatch:Depends}
Conflicts: kernel-patch-2.2.10-kdb, kernel-patch-kdb
Replaces: kernel-patch-2.2.10-kdb, kernel-patch-kdb
Suggests: kernel-source, kernel-package (>> 6.23), mgp
Description: Builtin kernel debugger
 This package contains a patch to the Linux kernel, which provides a
 means of examining kernel memory and data structures while the system
 is operational.  Only i386, ia64, and sparc64 are supported for now.
 .
 This package includes a magicpoint presentation and demo; you'll need
 the mgp package to view it.
 .
 Additional commands may be easily added to format and display
 essential system data structures given an identifier or address of the
 data structure.
 .
 Current command set allows complete control of kernel operations
 including single-stepping a processor, stopping upon execution of a
 specific instruction, stopping upon access (or modification) of a
 specific virtual memory location, stopping upon access to a register
 in the input-output address space, stack tracebacks for the current
 active task as well as for all other tasks (by process id),
 instruction disassembly, et. al.
 .
 Included kernel versions for kdb 4.3 are 2.4.21 for i386, sparc64 and
 ia64, 2.4.22 and 2.4.23 for i386 and ia64 only, and 2.6.0-test11 for
 ia64.  Versions close enough may (or may not) work.  Please look at
 /use/share/doc/kernel-patch-kdb/README.Debian for more info.
 .
 The BFD headers from the binutils-dev package are required to compile
 a kdb-enabled kernel.
 .
 Version 6.23 of the kernel-package package has a bug preventing correct
 application of this patch.

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	cp -p debian/kernel-patch-scripts.overrides ${tmpdir}/usr/share/lintian/overrides/kernel-patch-scripts
 
 	mkdir -p ${tmpldir}
-	sed s/@VERSION@/${VERSION}/g <debian/README-kernelpatch \
+	sed s/@VERSION@/${VERSION}/g <README-kernelpatch.Debian \
 		>${tmpldir}/README-kernelpatch.Debian
 
 	dh_movefiles

## dh-kpatches 0.100.1+nmu1

=== debian/changelog ===
dh-kpatches (0.100.1+nmu1) experimental; urgency=low

  * Non-maintainer upload.
  * No longer use alcovebook-sgml features (Closes: #638637).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 20 Aug 2011 15:27:23 +0200

=== tmp/kernel-patch-kdb/debian/rules ===
#! /usr/bin/make -f

PATCH=kdb

PACKAGE=kernel-patch-${PATCH}

####################

arch=$(shell dpkg --print-architecture)

topdir=$(shell pwd)
destdir=${topdir}/debian/tmp
mandir=${destdir}/usr/share/man
docdir=${destdir}/usr/share/doc/${PACKAGE}
man3dir=${mandir}/man3

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

binary-arch:	build

binary-indep:	build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs /usr/share/lintian/overrides/
	dh_installkpatches

	cp debian/lintian-overrides \
		${destdir}/usr/share/lintian/overrides/${PACKAGE}

	install -m755 -d ${man3dir}
	cd doc && for i in *.man; do \
		i=$${i#kdb_}; i=$${i%.man}; \
		install -m644 kdb_$${i}.man ${man3dir}/kdb_$${i}.3 ;\
	done
	install -m644 doc/kdb.mm ${man3dir}/kdb.3

	for i in bpa bph bpha bd bc be bl; do \
		ln -s kdb_bp.3 ${man3dir}/kdb_$${i}.3 ;\
	done
	for i in btp bta btc btt; do \
		ln -s kdb_bt.3 ${man3dir}/kdb_$${i}.3 ;\
	done
	ln -s kdb_env.3 ${man3dir}/kdb_set.3
	for i in mdr mds mm; do \
		ln -s kdb_md.3 ${man3dir}/kdb_$${i}.3 ;\
	done
	for i in rf ef; do \
		ln -s kdb_rd.3 ${man3dir}/kdb_$${i}.3 ;\
	done
	ln -s kdb_ss.3 ${man3dir}/kdb_ssb.3

	dh_installdocs README ChangeLogs-* doc/kdb-slides.mgp doc/dump.txt

	dh_installchangelogs ChangeLogs-2.4/ChangeLog
  # replace duplicate with symlink
	rm -f ${docdir}/ChangeLogs-2.4/ChangeLog
	ln -s ../changelog ${docdir}/ChangeLogs-2.4/ChangeLog

	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep clean checkroot
